#ifndef TIMEDEBUG_H
#define TIMEDEBUG_H
#include <string>
#include <sys/time.h>
#include <ctime>


inline void get_wall_time(struct timeval& time){
  gettimeofday(&time,NULL);
  return; 
}

inline double get_time(){
  struct timeval time;
  gettimeofday(&time,NULL);
  double tm = (double)(time.tv_sec)+ (double)((time.tv_usec)*0.000001);
  return tm; 
}

inline const std::string currentDateTime() {
  std::time_t now = std::time(0);
  struct tm  tstruct;
  char       buf[80];
  tstruct = *std::localtime(&now);
  std::strftime(buf, sizeof(buf), "%Y-%m-%d.%X", &tstruct);

  return buf;
}

#endif
